Energia

Stream

## flush()

#### Description

flush() clears the buffer once all outgoing characters have been sent.

This function is part of the Stream class, and is called by any class that inherits from it (Wire, Serial, etc). See the Stream class main page for more information.

#### Syntax

stream.flush()

#### Parameters

stream : an instance of a class that inherits from Stream.

#### Returns

boolean

#### See also

- Stream()

Reference Home

©Energia | Edit Page | Page History | Printable View | All Recent Site Changes